JackTrip

Public Slots | Public Member Functions | List of all members
Settings Class Reference

Class to set usage options and parse settings from input. More...

`#include <Settings.h>`

Inheritance diagram for Settings:
[legend]
Collaboration diagram for Settings:
[legend]

## Public Slots
void | slotExitProgram ()

## Public Member Functions
| Settings ()
virtual | ~Settings ()
void | parseInput (int argc, char **argv)
| Parses command line input. More...
void | startJackTrip ()
void | stopJackTrip ()
void | printUsage ()
| Prints usage help. More...
bool | getLoopBack ()

## Detailed Description

Class to set usage options and parse settings from input.

## Constructor & Destructor Documentation

## ◆ Settings()

Settings::Settings | ( |  | ) |

## ◆ ~Settings()

Settings::~Settings | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getLoopBack()

bool Settings::getLoopBack | ( |  | ) |
| inline

## ◆ parseInput()

void Settings::parseInput | ( | int | argc,
|  | char ** | argv
| ) |  |

Parses command line input.

Todo:
  Specify mandatory arguments

## ◆ printUsage()

void Settings::printUsage | ( |  | ) |

Prints usage help.

## ◆ slotExitProgram

void Settings::slotExitProgram | ( |  | ) |
| inline slot

## ◆ startJackTrip()

void Settings::startJackTrip | ( |  | ) |

Todo:
  Change this, just here to test

## ◆ stopJackTrip()

void Settings::stopJackTrip | ( |  | ) |

The documentation for this class was generated from the following files:

- src/Settings.h
- src/Settings.cpp